services:
  access_check.update.manager_access:
    class: Drupal\update\Access\UpdateManagerAccessCheck
    arguments: ['@settings']
    tags:
      - { name: access_check, applies_to: _access_update_manager }
  update.manager:
    class: Drupal\update\UpdateManager
    arguments: ['@config.factory', '@module_handler', '@update.processor', '@string_translation', '@keyvalue.expirable', '@theme_handler', '@extension.list.module']
  Drupal\update\UpdateManagerInterface: '@update.manager'
  update.processor:
    class: Drupal\update\UpdateProcessor
    arguments: ['@config.factory', '@queue', '@update.fetcher', '@state', '@private_key', '@keyvalue', '@keyvalue.expirable']
  Drupal\update\UpdateProcessorInterface: '@update.processor'
  update.fetcher:
    class: Drupal\update\UpdateFetcher
    arguments: ['@config.factory', '@http_client', '@settings', '@logger.channel.update']
  Drupal\update\UpdateFetcherInterface: '@update.fetcher'
  update.root:
    class: Drupal\update\UpdateRoot
    arguments: ['@kernel', '@request_stack']
  logger.channel.update:
    parent: logger.channel_base
    arguments: [ 'update' ]
